# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	The PBKDF2 password hashing algorithm
Name:		perl-Crypt-PBKDF2
Version:	0.161520
Release:	18.%{__distinit}%{__distvers}
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Crypt-PBKDF2
Source0:	https://cpan.metacpan.org/modules/by-module/Crypt/Crypt-PBKDF2-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Digest) >= 1.16
BuildRequires:	perl(Digest::HMAC) >= 1.01
BuildRequires:	perl(Digest::SHA)
BuildRequires:	perl(Digest::SHA3) >= 0.22
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(Module::Runtime)
BuildRequires:	perl(Moo) >= 2
BuildRequires:	perl(Moo::Role) >= 2
BuildRequires:	perl(namespace::autoclean)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strictures) >= 2
BuildRequires:	perl(Try::Tiny) >= 0.04
BuildRequires:	perl(Type::Tiny)
BuildRequires:	perl(Types::Standard) >= 1.000005
# Test Suite
BuildRequires:	perl(constant)
BuildRequires:	perl(Encode)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::More)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
PBKDF2 is a secure password hashing algorithm that uses the techniques of "key
strengthening" to make the complexity of a brute-force attack arbitrarily high.
PBKDF2 uses any other cryptographic hash or cipher (by convention, usually
HMAC-SHA1, but Crypt::PBKDF2 is fully pluggable), and allows for an arbitrary
number of iterations of the hashing function, and a nearly unlimited output
hash size (up to 2**32-1 times the size of the output of the backend hash).
The hash is salted, as any password hash should be, and the salt may also be of
arbitrary size.

%prep
%setup -q -n Crypt-PBKDF2-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes
%{perl_vendorlib}/Crypt/
%{_mandir}/man3/Crypt::PBKDF2.3*
%{_mandir}/man3/Crypt::PBKDF2::Hash.3*
%{_mandir}/man3/Crypt::PBKDF2::Hash::DigestHMAC.3*
%{_mandir}/man3/Crypt::PBKDF2::Hash::HMACSHA1.3*
%{_mandir}/man3/Crypt::PBKDF2::Hash::HMACSHA2.3*
%{_mandir}/man3/Crypt::PBKDF2::Hash::HMACSHA3.3*

%changelog
* Sun Jul 16 2023 Paul Howarth <paul@city-fan.org> - 0.161520-18
- Use SPDX-format license tag

* Fri Feb 12 2021 Paul Howarth <paul@city-fan.org> - 0.161520-1
- Initial RPM version
